Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Test deps: npm(referee) and npm(sinon) not yet in Fedora
%global enable_tests 0
%global srcname lolex

Name:           nodejs-%{srcname}
Version:        1.3.2
Release:        alt1_7
Summary:        Fake JavaScript timers
License:        BSD
URL:            https://github.com/sinonjs/lolex
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(referee)
BuildRequires:  npm(sinon)
%endif
Source44: import.info


%description
JavaScript implementation of the timer APIs; setTimeout, clearTimeout, 
setImmediate, clearImmediate, setInterval, clearInterval, and 
requestAnimationFrame, along with a clock instance that controls the flow of 
time. Lolex also provides a Date implementation that gets its time from the 
clock.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json src/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
npm run test-node
%endif


%files
%doc Readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.2-alt1_7
- new version

